Ruby: rb_native_thread Struct Reference

Ruby 3.4.9p82 (2026-03-11 revision 76cca827ab52ab1d346a728f068d5b8da3e2952b)

Data Fields
rb_native_thread Struct Reference

## Data Fields
void * | thread_id
rb_atomic_t | serial
struct rb_vm_struct * | vm
rb_nativethread_id_t | thread_id
struct rb_thread_struct * | running_thread
struct { |
rb_nativethread_cond_t intr |
rb_nativethread_cond_t readyq |
} | cond
struct coroutine_context * | nt_context
int | dedicated
size_t | machine_stack_maxsize
HANDLE | thread_id
HANDLE | interrupt_event

## Detailed Description

Definition at line 11 of file thread_none.h.

## Field Documentation

## ◆ dedicated

int rb_native_thread::dedicated

Definition at line 106 of file thread_pthread.h.

## ◆ interrupt_event

HANDLE rb_native_thread::interrupt_event

Definition at line 26 of file thread_win32.h.

## ◆ intr

rb_nativethread_cond_t rb_native_thread::intr

Definition at line 97 of file thread_pthread.h.

## ◆ machine_stack_maxsize

size_t rb_native_thread::machine_stack_maxsize

Definition at line 108 of file thread_pthread.h.

## ◆ nt_context

struct coroutine_context* rb_native_thread::nt_context

Definition at line 105 of file thread_pthread.h.

## ◆ readyq

rb_nativethread_cond_t rb_native_thread::readyq

Definition at line 98 of file thread_pthread.h.

## ◆ running_thread

struct rb_thread_struct* rb_native_thread::running_thread

Definition at line 84 of file thread_pthread.h.

## ◆ serial

rb_atomic_t rb_native_thread::serial

Definition at line 75 of file thread_pthread.h.

## ◆ thread_id [1/3]

void* rb_native_thread::thread_id

Definition at line 12 of file thread_none.h.

## ◆ thread_id [2/3]

rb_nativethread_id_t rb_native_thread::thread_id

Definition at line 78 of file thread_pthread.h.

## ◆ thread_id [3/3]

HANDLE rb_native_thread::thread_id

Definition at line 25 of file thread_win32.h.

## ◆ vm

struct rb_vm_struct* rb_native_thread::vm

Definition at line 76 of file thread_pthread.h.

The documentation for this struct was generated from the following files:

- thread_none.h
- thread_pthread.h
- thread_win32.h